library(ggplot2)
library(tidyr)
#faili sisselugemine ja andmete formaadi korrigeerimine
J138=read.csv("PT1-T1.3-J1.3.8.csv",header=TRUE, encoding ="UTF-8")
names(J138)[2:4]=c("1999","2008","2018")
J138x=J138[1:2,]
J138y=J138[4:5,]
J138x=pivot_longer(J138x,c("1999","2008","2018"))
names(J138x)=c("Rahvus","Aasta","Hinnang")
J138y=pivot_longer(J138y,c("1999","2008","2018"))
names(J138y)=c("Rahvus","Aasta","Hinnang")


#joonis1
ggplot(J138x,aes(x=Aasta,y=Hinnang,col=Rahvus))+
  geom_point(cex=3)+
  geom_line(aes(col=Rahvus,group=Rahvus),linewidth=1.5)+
  theme_minimal()+
  theme(legend.position = "bottom",legend.title = element_blank())+
  scale_color_manual(values=c("#6666cc","#FF3600"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_y_continuous(limits=c(1,10),breaks=seq(1,10,1))+
  ylab("Hinnang")



